#
# spec file for package obs-service-download_files
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define service download_files
Name:           obs-service-%{service}
Version:        0.5.1.git.1455712026.9c0a4a0
Release:        7.1
Summary:        An OBS source service: download files
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            https://github.com/openSUSE/obs-service-%{service}
Source:         %{name}-%{version}.tar.gz
Requires:       build >= 2012.08.24
Requires:       diffutils
Requires:       wget
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

This service is parsing all spec files and downloads all Source files which are specified via a http, https or ftp url.

%prep
%setup -q

%build

%install
%makeinstall

%pre
%{_sbindir}/groupadd -r obsrun 2> /dev/null || :
%{_sbindir}/useradd -r -s /bin/false -c "User for build service backend" -d %{_prefix}/lib/obs -g obsrun obsrun 2> /dev/null || :

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service
%dir %{_sysconfdir}/obs
%dir %{_sysconfdir}/obs/services
%config(noreplace) %{_sysconfdir}/obs/services/*
%dir %{_localstatedir}/cache/obs
%defattr(-,obsrun,obsrun)
%dir %{_localstatedir}/cache/obs/download_files
%dir %{_localstatedir}/cache/obs/download_files/file
%dir %{_localstatedir}/cache/obs/download_files/filename

%changelog
* Wed Feb 17 2016 opensuse-packaging@opensuse.org
- Update to version 0.5.1.git.1455712026.9c0a4a0:
  + prevent tar/cp/rm/mv from malicious filenames
  + added double quotes for some commands
  + Rework code
  + Remove duplicated code
  + fixed recompression and started with automated testing
  + fixed tabs
  + [testing] better handling for files in download server
  + added gitignore
  + fixes #6
* Fri Jul 24 2015 hib@hiberis.nl
- Add debian.dsc
* Fri Jul 24 2015 adrian@suse.de
- Update to version 0.5.1.git.1437716073.690c01e:
  + Fix grammar
  + Add GPL2+ license
  + Add Makefile with install target
  + Debianization
  + Stricter change filename check
* Wed Mar 18 2015 adrian@suse.de
- Update to version 0.5.1.git.1426665567.a5a06e5:
  + Stricter change filename check
  + fix syntax in .service file
* Thu Feb 13 2014 speilicke@suse.com
- Update to version 0.5+git.1392281610.962de91:
  + Generate changes entries from special files
* Wed Feb  5 2014 speilicke@suse.com
- Add source service tar_scm to fetch sources moved to
  https://github.com/openSUSE/obs-service-download_files
- Run spec-cleaner
* Tue Dec 17 2013 adrian@suse.de
- We do not tell the server that we are an OBS tool by default anymore,
  because too many sites just have a white list, but they accept wget
* Tue Jul 16 2013 adrian@suse.de
- fallback to openSUSE 12.3 config if build does not provide default.config
* Mon Jun 24 2013 tchvatal@suse.com
- Fix download from github by explicitly specifying output file.
- Use local scope where possible.
- Add bash comparsions instead of posix ones as bash invoke them
  faster.
- Remove urlextension variable which was always empty.
* Fri Jun 21 2013 andreas.stieger@gmx.de
- move the setting of the wget command inside the loop to start
  new on every iteration. Prevents interference of a specified
  http user agent or output file name with the next loop iteration,
  as it happens when several sources are present in the spec file.
* Wed Jun 19 2013 andreas.stieger@gmx.de
- Determine intended filename from URL fragment
  * allows downloading from URLs not containing a filename, e.g.:
    http://example.com/dl.cgi?{version}#/%%{name}-%%{version}.tar.gz
  * allows downloading from URLS where the file name sent differs
    from the one used in the package, e.g:
    http://example.com/gpgkeys.asc#/%%{name}.keyring
* Mon Nov 19 2012 dimstar@opensuse.org
- Fix useradd invocation: -o is useless without -u and newer
  versions of pwdutils/shadowutils fail on this now.
* Fri Aug 24 2012 mls@suse.de
- also look at PKGBUILD files
* Mon Jan  2 2012 cfarrell@suse.com
- license update: GPL-2.0+
  SPDX format
* Wed Nov 23 2011 adrian@suse.de
- import fixes for recompress & enforcelocal case (by coolo)
* Tue Nov 22 2011 adrian@suse.de
- silence during directory change
* Fri Aug 26 2011 adrian@suse.de
- allow to configure a local cache directory
* Fri Aug 26 2011 adrian@suse.de
- add two new options:
    enforceupstream=yes: package turns into broken state when
    upstreams hosts a different file.
    enforcelocal=yes: package turns into broken state when
    the file was not part of the commit
* Wed Aug 24 2011 adrian@suse.de
- support special download handling for sourceforge.net
* Thu Aug 18 2011 adrian@suse.de
- use own user agent
- handle --outdir . situation
* Tue Jul  5 2011 adrian@suse.de
- Improve error reporting on illegal URLs
- fix "same file as committed" detection
* Tue May 24 2011 adrian@suse.de
- initial package to download files accordings to urls in spec file Source: tags
